Skip to main content
GET
List report runners

Authorizations

Authorization
string
header
required

Query Parameters

type
string | null

Optional filter for report runner type, one of: SCHEDULED, REFRESHING.

report_type
string | null

Optional filter for report type name.

report_type_name
string | null

Optional filter for report type name.

display_name
string | null
user_ids
string[] | null
having_any_tags
string | null

Optional filter for report runner tags, asks for report runners that contain at least one of the specified tags.

having_all_tags
string | null

Optional filter for required report runner tags, asks for report runners that contain all of the specified tags.

exclude_having_any_tags
string | null

Optional filter for report runner exclude tags, asks for report runners that do not contain any of the specified tags.

exclude_having_all_tags
string | null

Optional filter for report runner exclude tags, asks for report runners that do not contain all of the specified tags.

search_query
string | null
pause_status
string | null
aggregation_status
string | null
offset
string | null

Optional filter for offset, defaults to 0.

limit
string | null

Optional filter for limit, defaults to all.

order_by
string | null

Optional sort field, defaults to CREATED_DATE. Valid values: CREATED_DATE, UPDATED_DATE, NAME.

order
string | null

Optional sort direction, defaults to DESCENDING. Valid values: ASCENDING (or ASC), DESCENDING (or DESC).

Response

Successful response

component_ids
string[]
required
component_references
object[]
required
created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

deliver_empty_reports_to_sftp
boolean
required
enabled
boolean
required
execution_policy
enum<string>
required
Available options:
AWAIT_DATA,
IMMEDIATE
formats
enum<string>[]
required
Available options:
CSV,
HEADLESS_CSV,
HEADLESS_PSV,
JSON,
JSONL,
PSV,
XLSX
id
string
required
read-only
merging_configuration
object
required
name
string
required
parameters
object
required
pause_info
object
required
paused
object
required
report_name_pattern
required

The report name pattern as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use ReportRunnerExecutionContext.

report_type
string
required
report_type_name
string
required
scopes
enum<string>[]
required
Available options:
CLIENT_ADMIN,
CLIENT_SUPERUSER,
CONSUMER_PUBLIC,
USER_SUPPORT
sftp_report_name_pattern
required

The sftp report name pattern as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use ReportRunnerExecutionContext.

sftp_server_id
string | null
required
tags
string[]
required
type
enum<string>
required
Available options:
REFRESHING
updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

user_id
string
required
expiration_ms
integer<int64>
required